Client
38 operations. Call any of them with omada_call_operation (or, in full tool mode, as a tool named by its operationId).
| Operation | Method | Summary |
|---|---|---|
| globalClientStatByDevice | POST | Get global client statistics by device. |
| getClientHistoryDataEnable | GET | Get History data retention config. |
| getClientCorrectionList | GET | Get client correction options list |
| globalExportAllClientList | POST | Export all client list in GLOBAL view |
| exportClientListGlobalByCloudAccess | POST | Export global client list. |
| exportClient | POST | Export client list |
| modifyClientIpSetting | PATCH | Set ip setting for given client |
| getClientDetailStat5Min | POST | Get client statistical data details at a 5-minute interval. |
| getClientDetailStatDaily | POST | Get client statistical data details at a daily interval. |
| getClientDetailStatHourly | POST | Get client statistical data details at a hourly interval. |
| getGridSsidClients | GET | Get clients list of ssid. |
| getGridActiveClients | GET | Get client list |
| deleteClient | DELETE | Delete client |
| getClientDetail | GET | Get client info |
| blockClient | POST | Block the client |
| getClientJourney | GET | Get client connection histories |
| getGridClientHistory | GET | Get Client history. |
| getClientTopology | POST | Get client link topology |
| getClientTimeline | GET | Get client timeline events |
| disconnectClient | POST | Disconnect the client |
| updateClientLockToApSetting | POST | Lock the given client to aps |
| updateClientName | PATCH | Set name for given client |
| updateClientRateLimitSetting | PATCH | Set ratelimit setting for given client |
| rebootClient | POST | Reboot the client |
| reconnectClient | POST | Reconnect the client |
| unblockClient | POST | Unblock the client |
| batchModifyClientSetting | POST | Batch config clients |
| deleteClients | POST | Batch delete clients |
| getClientIncidentCounts | POST | Get site client incident counts |
| getClientFilteringOptions | GET | Get client list filtering options |
| getVigiDetailStat5Min | POST | Get VIGI device statistical data details at a 5-minute interval. |
| getVigiDetailStatDaily | POST | Get VIGI device statistical data details at a daily interval. |
| getVigiDetailStatHourly | POST | Get VIGI device statistical data details at a hourly interval. |
| getVigiJourney | GET | Get VIGI device connection histories |
| getVigiTopology | POST | Get VIGI device link topology |
| getVigiTimeline | GET | Get VIGI device timeline events |
| mspClientStatByDevice | POST | Get msp client statistics by device. |
| getGridAllClients | POST | Get all client list |
globalClientStatByDevice
POST /openapi/v1/{omadacId}/clients/stat/devices
Get global client statistics by device.
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
Request body — application/json (required) — schema GlobalDevicesQueryOpenApiVO
| Field | Type | Required | Description |
|---|---|---|---|
devices | array<Global Device Item> | yes | Devices to query |
// omada_call_operation
{
"operationId": "globalClientStatByDevice",
"body": "{...}"
}Details, permissions and error codes
Get global client statistics by device.
The interface requires one of the permissions:
Site Device Manager View Only
getClientHistoryDataEnable
GET /openapi/v1/{omadacId}/controller/client/history-enable
Get History data retention config.
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
// omada_call_operation
{
"operationId": "getClientHistoryDataEnable"
}Details, permissions and error codes
Get history data retention config.
The interface requires one of the permissions:
Global Other Setting View Only
getClientCorrectionList
GET /openapi/v1/{omadacId}/correction-list
Get client correction options list
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
// omada_call_operation
{
"operationId": "getClientCorrectionList"
}Details, permissions and error codes
Get client correction options list
The interface requires one of the permissions:
Site Clients Manager View Only
globalExportAllClientList
POST /openapi/v1/{omadacId}/files/all-client-list
Export all client list in GLOBAL view
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
Request body — application/json (required) — schema MultiSiteClientExportOpenApiVO
| Field | Type | Required | Description |
|---|---|---|---|
format | integer | yes | Format should be a value as follows: 0: csv; 1: xlsx. |
clientsDisplay | array<string> | no | The information of client list for export. |
clientsDisplayOverride | object | no | Override the export columns for given siteIds. |
mode | integer | yes | Export columns mode. 0:All Columns 1: CurrentDisplayColumns. |
selectType | string | yes | Select type of the sites of clients to export. include: include selected sites, exclude: all but exclude selected sites, all: include all sites. |
siteIds | array<string> | yes | List of site id to export. SiteIds should contains at least 1 element when [selectType] is "include". |
// omada_call_operation
{
"operationId": "globalExportAllClientList",
"body": "{...}"
}Details, permissions and error codes
Export all client list in GLOBAL view, .
The interface requires one of the permissions:
Global Export Data Access
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-30333 - XLSX Export Limit Exceeded. The number of items to be exported to XLSX exceeds 1 million. Please export data via separate modules or in CSV format.
exportClientListGlobalByCloudAccess
POST /openapi/v1/{omadacId}/files/client-list
Export global client list.
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
Request body — application/json (required) — schema ExportClientListOpenApiVO
| Field | Type | Required | Description |
|---|---|---|---|
siteIds | array<string> | yes | IDs of the site of the data to be exported. |
mode | integer | yes | Export columns mode. 0:All Columns 1: CurrentDisplayColumns. |
clientsDisplay | array<string> | no | The information of client list for export. |
format | integer | yes | Format of file exported.0: CSV 1: XLSX |
queryDataVO | OpenApiQueryDataVO | no | (OpenApiQueryDataVO not expanded; call omada_get_schema "OpenApiQueryDataVO") |
// omada_call_operation
{
"operationId": "exportClientListGlobalByCloudAccess",
"body": "{...}"
}Details, permissions and error codes
Export global client list.
The interface requires one of the permissions:
Global Export Data Access
exportClient
POST /openapi/v1/{omadacId}/files/sites/{siteId}/clients/export
Export client list
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
Request body — application/json (required) — schema ClientExportOpenApiVO
| Field | Type | Required | Description |
|---|---|---|---|
format | integer | yes | Format should be a value as follows: 0: csv; 1: xlsx. |
tables | array<integer> | yes | Tables should be a list of follows: 0: online; 1: offline; 2: blocked; 3: past-connection, 4: past-portal-auth. |
// omada_call_operation
{
"operationId": "exportClient",
"params": {
"siteId": "<siteId>"
},
"body": "{...}"
}Details, permissions and error codes
Export client list.
The interface requires one of the permissions:
Site Clients Manager View Only
Site Export Data Access
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-30333 - XLSX Export Limit Exceeded. The number of items to be exported to XLSX exceeds 1 million. Please export data via separate modules or in CSV format.
modifyClientIpSetting
PATCH /openapi/v1/{omadacId}/network/sites/{siteId}/cmd/clients/{clientMac}/update-ipSetting
Set ip setting for given client
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
clientMac | path | string | yes | Client MAC |
Request body — application/json (required) — schema OpenApi Client Ip Setting
| Field | Type | Required | Description |
|---|---|---|---|
useFixedAddr | boolean | yes | Whether to use the specified IP |
netId | string | no | Lan network ID |
ip | string | no | Client IP |
serverType | string | no | DHCP Server Type |
serverMac | string | no | DHCP Server Mac |
serverStackId | string | no | DHCP Server Stack ID |
// omada_call_operation
{
"operationId": "modifyClientIpSetting",
"params": {
"siteId": "<siteId>",
"clientMac": "<clientMac>"
},
"body": "{...}"
}Details, permissions and error codes
Set ip setting for given client.
The interface requires one of the permissions:
Site Clients Manager Modify
getClientDetailStat5Min
POST /openapi/v1/{omadacId}/sites/{siteId}/client-stat-detail/{clientMac}/5Min
Get client statistical data details at a 5-minute interval.
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
clientMac | path | string | yes | Client MAC |
Request body — application/json (required) — schema Client Stat Query
| Field | Type | Required | Description |
|---|---|---|---|
startSec | integer | yes | Start timestamp, unit: second. |
endSec | integer | yes | End timestamp, unit: second. |
// omada_call_operation
{
"operationId": "getClientDetailStat5Min",
"params": {
"siteId": "<siteId>",
"clientMac": "<clientMac>"
},
"body": "{...}"
}Details, permissions and error codes
Get client statistical data details at a 5-minute interval.
The interface requires one of the permissions:
Site Clients Manager View Only
getClientDetailStatDaily
POST /openapi/v1/{omadacId}/sites/{siteId}/client-stat-detail/{clientMac}/daily
Get client statistical data details at a daily interval.
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
clientMac | path | string | yes | Client MAC |
Request body — application/json (required) — schema Client Stat Query
| Field | Type | Required | Description |
|---|---|---|---|
startSec | integer | yes | Start timestamp, unit: second. |
endSec | integer | yes | End timestamp, unit: second. |
// omada_call_operation
{
"operationId": "getClientDetailStatDaily",
"params": {
"siteId": "<siteId>",
"clientMac": "<clientMac>"
},
"body": "{...}"
}Details, permissions and error codes
Get client statistical data details at a daily interval.
The interface requires one of the permissions:
Site Clients Manager View Only
getClientDetailStatHourly
POST /openapi/v1/{omadacId}/sites/{siteId}/client-stat-detail/{clientMac}/hourly
Get client statistical data details at a hourly interval.
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
clientMac | path | string | yes | Client MAC |
Request body — application/json (required) — schema Client Stat Query
| Field | Type | Required | Description |
|---|---|---|---|
startSec | integer | yes | Start timestamp, unit: second. |
endSec | integer | yes | End timestamp, unit: second. |
// omada_call_operation
{
"operationId": "getClientDetailStatHourly",
"params": {
"siteId": "<siteId>",
"clientMac": "<clientMac>"
},
"body": "{...}"
}Details, permissions and error codes
Get client statistical data details at a hourly interval.
The interface requires one of the permissions:
Site Clients Manager View Only
getGridSsidClients
GET /openapi/v1/{omadacId}/sites/{siteId}/clientList/{ssidId}
Get clients list of ssid.
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
ssidId | path | string | yes | |
queryDataVO | query | OpenApiQueryDataV2VO | no | Object: its fields (page, pageSize, sorts, searchKey, filters, searchField) are sent as separate query parameters. |
// omada_call_operation
{
"operationId": "getGridSsidClients",
"params": {
"siteId": "<siteId>",
"ssidId": "<ssidId>"
}
}Details, permissions and error codes
Get clients list of ssid.
The interface requires one of the permissions:
Network Config Page View Only
getGridActiveClients
GET /openapi/v1/{omadacId}/sites/{siteId}/clients
Get client list
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
page | query | integer | no | Start page number. Start from 1. (default 1) |
pageSize | query | integer | no | Number of entries per page. It should be within the range of 1–1000. (default 100) |
sorts.name | query | string | no | Sort parameter may be one of asc or desc. Optional parameter. If it is not carried, it means it is not sorted by this field. When there are more than one, the first one takes effect |
sorts.mac | query | string | no | Sort parameter may be one of asc or desc. Optional parameter. If it is not carried, it means it is not sorted by this field. When there are more than one, the first one takes effect |
sorts.ip | query | string | no | Sort parameter may be one of asc or desc. Optional parameter. If it is not carried, it means it is not sorted by this field. When there are more than one, the first one takes effect |
filters.wireless | query | string | no | Filter query parameters, support field wireless: true/false. |
filters.radioId | query | string | no | Filter query parameters, support field radioId: 0: 2G, 1: 5G1, 2: 5G2, 3: 6G |
filters.apMac | query | string | no | Filter query parameters, support field ap mac |
filters.switchMac | query | string | no | Filter query parameters, support field switch mac |
filters.gatewayMac | query | string | no | Filter query parameters, support field gateway mac |
searchKey | query | string | no | Fuzzy query parameters, support field clientName,clientMac,ip,channel,ssid,apName,apMac,switchMac,switchName,gatewayMac,gatewayName. |
// omada_call_operation
{
"operationId": "getGridActiveClients",
"params": {
"siteId": "<siteId>"
}
}Details, permissions and error codes
Get all clients.
The interface requires one of the permissions:
Site Clients Manager View Only
Site Device Manager View Only
deleteClient
DELETE /openapi/v1/{omadacId}/sites/{siteId}/clients/{clientMac}
Delete client
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
clientMac | path | string | yes | Client MAC |
// omada_call_operation
{
"operationId": "deleteClient",
"params": {
"siteId": "<siteId>",
"clientMac": "<clientMac>"
}
}Details, permissions and error codes
Delete client.
The interface requires one of the permissions:
Site Device Manager View Only
Site Clients Manager Modify
getClientDetail
GET /openapi/v1/{omadacId}/sites/{siteId}/clients/{clientMac}
Get client info
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
clientMac | path | string | yes | Client MAC |
// omada_call_operation
{
"operationId": "getClientDetail",
"params": {
"siteId": "<siteId>",
"clientMac": "<clientMac>"
}
}Details, permissions and error codes
Get client info.
The interface requires one of the permissions:
Site Clients Manager View Only
Site Device Manager View Only
blockClient
POST /openapi/v1/{omadacId}/sites/{siteId}/clients/{clientMac}/block
Block the client
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
clientMac | path | string | yes | Client MAC |
// omada_call_operation
{
"operationId": "blockClient",
"params": {
"siteId": "<siteId>",
"clientMac": "<clientMac>"
}
}Details, permissions and error codes
Block the client.
The interface requires one of the permissions:
Site Clients Manager Modify
Site Insight Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-41002 - This client does not exist.
-41003 - The number of clients to be blocked has reached the limit.
-41023 - Clients locked to wireless device cannot be blocked.
-41024 - This device is installed with the controller and cannot be blocked.
-41026 - The Agile Series Switch cannot block clients.
getClientJourney
GET /openapi/v1/{omadacId}/sites/{siteId}/clients/{clientMac}/client-connection
Get client connection histories
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
clientMac | path | string | yes | Client MAC |
start | query | integer | yes | Start timestamp, unit: ms |
end | query | integer | yes | End timestamp, unit: ms |
// omada_call_operation
{
"operationId": "getClientJourney",
"params": {
"siteId": "<siteId>",
"clientMac": "<clientMac>",
"start": "<start>",
"end": "<end>"
}
}Details, permissions and error codes
Get client connection histories.
The interface requires one of the permissions:
Site Clients Manager View Only
getGridClientHistory
GET /openapi/v1/{omadacId}/sites/{siteId}/clients/{clientMac}/client-history
** Get Client history.**
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
clientMac | path | string | yes | Client MAC |
page | query | integer | no | Start page number. Start from 1. (default 1) |
pageSize | query | integer | no | Number of entries per page. It should be within the range of 1–1000. (default 100) |
sorts.name | query | string | no | Sort parameter may be one of asc or desc. Optional parameter. If it is not carried, it means it is not sorted by this field. When there are more than one, the first one takes effect |
sorts.mac | query | string | no | Sort parameter may be one of asc or desc. Optional parameter. If it is not carried, it means it is not sorted by this field. When there are more than one, the first one takes effect |
sorts.ip | query | string | no | Sort parameter may be one of asc or desc. Optional parameter. If it is not carried, it means it is not sorted by this field. When there are more than one, the first one takes effect |
sorts.authType | query | string | no | Sort parameter may be one of asc or desc. Optional parameter. If it is not carried, it means it is not sorted by this field. When there are more than one, the first one takes effect |
sorts.ssidOrNetwork | query | string | no | Sort parameter may be one of asc or desc. Optional parameter. If it is not carried, it means it is not sorted by this field. When there are more than one, the first one takes effect |
sorts.download | query | string | no | Sort parameter may be one of asc or desc. Optional parameter. If it is not carried, it means it is not sorted by this field. When there are more than one, the first one takes effect |
sorts.upload | query | string | no | Sort parameter may be one of asc or desc. Optional parameter. If it is not carried, it means it is not sorted by this field. When there are more than one, the first one takes effect |
sorts.status | query | string | no | Sort parameter may be one of asc or desc. Optional parameter. If it is not carried, it means it is not sorted by this field. When there are more than one, the first one takes effect |
sorts.start | query | string | no | Sort parameter may be one of asc or desc. Optional parameter. If it is not carried, it means it is not sorted by this field. When there are more than one, the first one takes effect |
sorts.end | query | string | no | Sort parameter may be one of asc or desc. Optional parameter. If it is not carried, it means it is not sorted by this field. When there are more than one, the first one takes effect |
sorts.duration | query | string | no | Sort parameter may be one of asc or desc. Optional parameter. If it is not carried, it means it is not sorted by this field. When there are more than one, the first one takes effect |
searchKey | query | string | no | Fuzzy query parameters, support field client_mac,client_name,voucher.code,local_user.user_name,form_name,auth_admin,ssid_name,network_name |
// omada_call_operation
{
"operationId": "getGridClientHistory",
"params": {
"siteId": "<siteId>",
"clientMac": "<clientMac>"
}
}Details, permissions and error codes
Get Client history.
The interface requires one of the permissions:
Site Clients Manager View Only
getClientTopology
POST /openapi/v1/{omadacId}/sites/{siteId}/clients/{clientMac}/client-link-topology
Get client link topology
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
clientMac | path | string | yes | Client MAC |
// omada_call_operation
{
"operationId": "getClientTopology",
"params": {
"siteId": "<siteId>",
"clientMac": "<clientMac>"
}
}Details, permissions and error codes
Get client link topology.
The interface requires one of the permissions:
Site Clients Manager View Only
getClientTimeline
GET /openapi/v1/{omadacId}/sites/{siteId}/clients/{clientMac}/client-timeline
Get client timeline events
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
clientMac | path | string | yes | Client MAC |
start | query | integer | yes | Start timestamp, unit: ms |
end | query | integer | yes | End timestamp, unit: ms |
type | query | integer | yes | Query type, 0: Connection Timeline; 1: Association; 2: Roaming; 3: Disconnection. |
// omada_call_operation
{
"operationId": "getClientTimeline",
"params": {
"siteId": "<siteId>",
"clientMac": "<clientMac>",
"start": "<start>",
"end": "<end>",
"type": "<type>"
}
}Details, permissions and error codes
Get client timeline events.
The interface requires one of the permissions:
Site Clients Manager View Only
disconnectClient
POST /openapi/v1/{omadacId}/sites/{siteId}/clients/{clientMac}/disconnect
Disconnect the client
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
clientMac | path | string | yes | Client MAC |
// omada_call_operation
{
"operationId": "disconnectClient",
"params": {
"siteId": "<siteId>",
"clientMac": "<clientMac>"
}
}Details, permissions and error codes
Disconnect the client.
The interface requires one of the permissions:
Site Clients Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-41011 - This client does not exist.
-41027 - Unable to disconnect wired client.
updateClientLockToApSetting
POST /openapi/v1/{omadacId}/sites/{siteId}/clients/{clientMac}/lock-to-ap
Lock the given client to aps
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
clientMac | path | string | yes | Client MAC |
Request body — application/json (required) — schema Client Lock To AP Setting
| Field | Type | Required | Description |
|---|---|---|---|
enable | boolean | yes | Lock to AP enable |
aps | array<string> | no | AP MAC list. Use capital letters and separator, for example: AA-AA-AA-AA-AA-AA. |
// omada_call_operation
{
"operationId": "updateClientLockToApSetting",
"params": {
"siteId": "<siteId>",
"clientMac": "<clientMac>"
},
"body": "{...}"
}Details, permissions and error codes
Lock the given client to aps.
The interface requires one of the permissions:
Site Clients Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-41011 - This client does not exist.
-41020 - Only wireless clients support Lock to wireless device.
-41021 - The number of Lock to wireless device entries has reached the upper limit.
-41022 - Blocked clients cannot be locked to wireless device.
updateClientName
PATCH /openapi/v1/{omadacId}/sites/{siteId}/clients/{clientMac}/name
Set name for given client
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
clientMac | path | string | yes | Client MAC |
Request body — application/json (required) — schema Client Name Setting
| Field | Type | Required | Description |
|---|---|---|---|
name | string | yes | Client Name should contain 1 to 128 characters |
// omada_call_operation
{
"operationId": "updateClientName",
"params": {
"siteId": "<siteId>",
"clientMac": "<clientMac>"
},
"body": "{...}"
}Details, permissions and error codes
Set name for given client.
The interface requires one of the permissions:
Site Clients Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-41011 - This client does not exist.
updateClientRateLimitSetting
PATCH /openapi/v1/{omadacId}/sites/{siteId}/clients/{clientMac}/ratelimit
Set ratelimit setting for given client
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
clientMac | path | string | yes | Client MAC |
Request body — application/json (required) — schema Client Rate Limit Setting
| Field | Type | Required | Description |
|---|---|---|---|
mode | integer | yes | Rate limit mode should be a value as follows: <br/>0: Custom mode. Apply the given rate limit value to the client; <br/>1: Rate limit profile mode. Find the corresponding rate limit file with rate limit ID and apply it to the client. |
rateLimitProfileId | string | no | Rate limit profile ID. Required when ratelimit mode is 1 |
customRateLimit | Custom rate limit entity | no | (Custom rate limit entity not expanded; call omada_get_schema "Custom rate limit entity") |
// omada_call_operation
{
"operationId": "updateClientRateLimitSetting",
"params": {
"siteId": "<siteId>",
"clientMac": "<clientMac>"
},
"body": "{...}"
}Details, permissions and error codes
Set ratelimit setting for given client.
The interface requires one of the permissions:
Site Clients Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33732 - The Rate Limit profile does not exist.
-41008 - The number of clients to be configured with Rate Limit has reached the limit.
-41011 - This client does not exist.
rebootClient
POST /openapi/v1/{omadacId}/sites/{siteId}/clients/{clientMac}/reboot
Reboot the client
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
clientMac | path | string | yes | Client MAC |
Request body — application/json (required) — schema Client Reboot
| Field | Type | Required | Description |
|---|---|---|---|
deviceId | string | no | DeviceId of device adopted in VMS.Used when rebooting adopted VIGI devices in device list |
// omada_call_operation
{
"operationId": "rebootClient",
"params": {
"siteId": "<siteId>",
"clientMac": "<clientMac>"
},
"body": "{...}"
}Details, permissions and error codes
Reboot the client.
The interface requires one of the permissions:
Site Clients Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-1001 - Invalid request parameters.
-41031 - Unable to reboot.
reconnectClient
POST /openapi/v1/{omadacId}/sites/{siteId}/clients/{clientMac}/reconnect
Reconnect the client
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
clientMac | path | string | yes | Client MAC |
// omada_call_operation
{
"operationId": "reconnectClient",
"params": {
"siteId": "<siteId>",
"clientMac": "<clientMac>"
}
}Details, permissions and error codes
Reconnect the client.
The interface requires one of the permissions:
Site Clients Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-41011 - This client does not exist.
-41025 - Unable to reconnect wired client.
unblockClient
POST /openapi/v1/{omadacId}/sites/{siteId}/clients/{clientMac}/unblock
Unblock the client
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
clientMac | path | string | yes | Client MAC |
// omada_call_operation
{
"operationId": "unblockClient",
"params": {
"siteId": "<siteId>",
"clientMac": "<clientMac>"
}
}Details, permissions and error codes
Unblock the client.
The interface requires one of the permissions:
Site Clients Manager Modify
Site Insight Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-41004 - This client does not exist.
batchModifyClientSetting
POST /openapi/v1/{omadacId}/sites/{siteId}/clients/config
Batch config clients
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
Request body — application/json (required) — schema Client Batch Setting
| Field | Type | Required | Description |
|---|---|---|---|
macList | array<string> | no | List of clients' mac. |
ipSetting | Client Batch IP Setting | no | (Client Batch IP Setting not expanded; call omada_get_schema "Client Batch IP Setting") |
rateLimit | Client Rate Limit Setting | no | (Client Rate Limit Setting not expanded; call omada_get_schema "Client Rate Limit Setting") |
lockToAp | Client Lock To AP Setting | no | (Client Lock To AP Setting not expanded; call omada_get_schema "Client Lock To AP Setting") |
// omada_call_operation
{
"operationId": "batchModifyClientSetting",
"params": {
"siteId": "<siteId>"
},
"body": "{...}"
}Details, permissions and error codes
Batch config clients.
The interface requires one of the permissions:
Site Device Manager View Only
Site Clients Manager Modify
deleteClients
POST /openapi/v1/{omadacId}/sites/{siteId}/clients/delete
Batch delete clients
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
Request body — application/json (required) — schema Client Delete Filter
| Field | Type | Required | Description |
|---|---|---|---|
start | integer | no | Start timestamp, in seconds, such as 1682000000. |
end | integer | no | End timestamp, in seconds, such as 1682000000. |
wireless | boolean | no | Wireless, filter by wireless field if provided. |
guest | boolean | no | Guest, filter by guest field if provided. |
rateLimit | boolean | no | RateLimit, filter by rateLimit field if provided. |
block | boolean | no | Block, filter by block field if provided. |
connectSuccess | boolean | no | Connect success, filter by connectSuccess field if provided. |
searchKey | string | no | Searching for clients to delete, Searching by client mac, client name. |
// omada_call_operation
{
"operationId": "deleteClients",
"params": {
"siteId": "<siteId>"
},
"body": "{...}"
}Details, permissions and error codes
Batch delete clients.
The interface requires one of the permissions:
Site Device Manager View Only
Site Clients Manager Modify
getClientIncidentCounts
POST /openapi/v1/{omadacId}/sites/{siteId}/clients/incidents
Get site client incident counts
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
Request body — application/json (required) — schema ClientIncidentCountRequestOpenApiVO
| Field | Type | Required | Description |
|---|---|---|---|
clientList | array<string> | yes | Client MAC addresses for which incident counts are requested. |
// omada_call_operation
{
"operationId": "getClientIncidentCounts",
"params": {
"siteId": "<siteId>"
},
"body": "{...}"
}Details, permissions and error codes
Get incident counts for the specified clients in a site.
The interface requires one of the permissions:
Site Clients Manager View Only
Incidents Page View Only
getClientFilteringOptions
GET /openapi/v1/{omadacId}/sites/{siteId}/clients/search-fields-options
Get client list filtering options
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
// omada_call_operation
{
"operationId": "getClientFilteringOptions",
"params": {
"siteId": "<siteId>"
}
}Details, permissions and error codes
Get client list filtering options.
The interface requires one of the permissions:
Site Clients Manager View Only
Site Device Manager View Only
getVigiDetailStat5Min
POST /openapi/v1/{omadacId}/sites/{siteId}/vigi-stat-detail/{vigiMac}/5Min
Get VIGI device statistical data details at a 5-minute interval.
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
vigiMac | path | string | yes | VIGI device MAC |
Request body — application/json (required) — schema Client Stat Query
| Field | Type | Required | Description |
|---|---|---|---|
startSec | integer | yes | Start timestamp, unit: second. |
endSec | integer | yes | End timestamp, unit: second. |
// omada_call_operation
{
"operationId": "getVigiDetailStat5Min",
"params": {
"siteId": "<siteId>",
"vigiMac": "<vigiMac>"
},
"body": "{...}"
}Details, permissions and error codes
Get VIGI device statistical data details at a 5-minute interval.
The interface requires one of the permissions:
Site Device Manager View Only
getVigiDetailStatDaily
POST /openapi/v1/{omadacId}/sites/{siteId}/vigi-stat-detail/{vigiMac}/daily
Get VIGI device statistical data details at a daily interval.
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
vigiMac | path | string | yes | VIGI device MAC |
Request body — application/json (required) — schema Client Stat Query
| Field | Type | Required | Description |
|---|---|---|---|
startSec | integer | yes | Start timestamp, unit: second. |
endSec | integer | yes | End timestamp, unit: second. |
// omada_call_operation
{
"operationId": "getVigiDetailStatDaily",
"params": {
"siteId": "<siteId>",
"vigiMac": "<vigiMac>"
},
"body": "{...}"
}Details, permissions and error codes
Get VIGI device statistical data details at a daily interval.
The interface requires one of the permissions:
Site Device Manager View Only
getVigiDetailStatHourly
POST /openapi/v1/{omadacId}/sites/{siteId}/vigi-stat-detail/{vigiMac}/hourly
Get VIGI device statistical data details at a hourly interval.
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
vigiMac | path | string | yes | VIGI device MAC |
Request body — application/json (required) — schema Client Stat Query
| Field | Type | Required | Description |
|---|---|---|---|
startSec | integer | yes | Start timestamp, unit: second. |
endSec | integer | yes | End timestamp, unit: second. |
// omada_call_operation
{
"operationId": "getVigiDetailStatHourly",
"params": {
"siteId": "<siteId>",
"vigiMac": "<vigiMac>"
},
"body": "{...}"
}Details, permissions and error codes
Get VIGI device statistical data details at a hourly interval.
The interface requires one of the permissions:
Site Device Manager View Only
getVigiJourney
GET /openapi/v1/{omadacId}/sites/{siteId}/vigis/{vigiMac}/vigi-connection
Get VIGI device connection histories
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
vigiMac | path | string | yes | VIGI device MAC |
start | query | integer | yes | Start timestamp, unit: ms |
end | query | integer | yes | End timestamp, unit: ms |
// omada_call_operation
{
"operationId": "getVigiJourney",
"params": {
"siteId": "<siteId>",
"vigiMac": "<vigiMac>",
"start": "<start>",
"end": "<end>"
}
}Details, permissions and error codes
Get VIGI device connection histories.
The interface requires one of the permissions:
Site Device Manager View Only
getVigiTopology
POST /openapi/v1/{omadacId}/sites/{siteId}/vigis/{vigiMac}/vigi-link-topology
Get VIGI device link topology
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
vigiMac | path | string | yes | VIGI device MAC |
// omada_call_operation
{
"operationId": "getVigiTopology",
"params": {
"siteId": "<siteId>",
"vigiMac": "<vigiMac>"
}
}Details, permissions and error codes
Get VIGI device link topology.
The interface requires one of the permissions:
Site Device Manager View Only
getVigiTimeline
GET /openapi/v1/{omadacId}/sites/{siteId}/vigis/{vigiMac}/vigi-timeline
Get VIGI device timeline events
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
vigiMac | path | string | yes | VIGI device MAC |
start | query | integer | yes | Start timestamp, unit: ms |
end | query | integer | yes | End timestamp, unit: ms |
type | query | integer | yes | Query type, 0: Connection Timeline; 1: Association; 2: Roaming; 3: Disconnection. |
// omada_call_operation
{
"operationId": "getVigiTimeline",
"params": {
"siteId": "<siteId>",
"vigiMac": "<vigiMac>",
"start": "<start>",
"end": "<end>",
"type": "<type>"
}
}Details, permissions and error codes
Get VIGI device timeline events.
The interface requires one of the permissions:
Site Device Manager View Only
mspClientStatByDevice
POST /openapi/v1/msp/{mspId}/clients/stat/devices
Get msp client statistics by device.
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
mspId | path | string | auto | MSP ID (filled in automatically) |
Request body — application/json (required) — schema MspDevicesQueryOpenApiVO
| Field | Type | Required | Description |
|---|---|---|---|
devices | array<Msp Device Item> | yes | Devices to query |
// omada_call_operation
{
"operationId": "mspClientStatByDevice",
"body": "{...}"
}Details, permissions and error codes
Get Msp level client statistics by device.
The interface requires one of the permissions:
MSP Device Manager View Only
getGridAllClients
POST /openapi/v2/{omadacId}/sites/{siteId}/clients
Get all client list
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
Request body — application/json (required) — schema ClientQueryDataOpenApiVO
| Field | Type | Required | Description |
|---|---|---|---|
page | integer | yes | Start from 1. |
pageSize | integer | yes | It should be within the range of 1–1000. |
sorts | object | no | Sort rule, key: sort field, value: sort direction, value parameter may be one of asc or desc.Optional parameter. |
searchKey | string | no | Fuzzy query parameters, support field name, mac, ip. |
filters | ClientQueryFiltersOpenApiVO | no | (ClientQueryFiltersOpenApiVO not expanded; call omada_get_schema "ClientQueryFiltersOpenApiVO") |
scope | integer | no | Scope of clients to query, 0: all, 1: online(default), 2:offline, 3:blocked. |
// omada_call_operation
{
"operationId": "getGridAllClients",
"params": {
"siteId": "<siteId>"
},
"body": "{...}"
}Details, permissions and error codes
Get all clients, including online offline blocked and all list.
The interface requires one of the permissions:
Site Clients Manager View Only
Site Device Manager View Only